<div style="margin-top: 20px;" >
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h4><b>Delivery Order</b></h4>
            </div>
        </div>
        <div class="col-md-12">
            <div class="row">
                <div class="ui-g-12 frame-do">
                    <div class="ui-g-3">{{'mpmApp.shipmentOutgoing.labelNoIVU' | translate}}</div>
                    <div class="ui-g-9">: {{billingNumber}} </div>
                    <div class="ui-g-3">{{'mpmApp.shipmentOutgoing.labelDateIVU' | translate}}</div>
                    <div class="ui-g-9">: {{dateBilling | date:'fullDate'}}</div>
                </div>
            </div>

            <div class="row">
                <p-tabView>
                    <p-tabPanel header="Delivery Order">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="ui-g-12">
                                        <div class="ui-g-6">Jadwal Pengiriman</div>
                                        <div class="ui-g-6">: {{shipmentTMP.dateSchedulle | date:'fullDate'}} </div>
                                        <!-- <div class="ui-g-6">Jam Pengiriman</div>
                                        <div class="ui-g-6">: xx:xx</div> -->
                                    </div>
                                </div>
                                <br>
                                <h5>Batal Kirim</h5>
                                <hr>
                                <h6>Note :</h6>
                                <p>{{shipmentTMP.reasonCancel}}</p>
                            </div>
                            <div class="col-md-6">
                                <h5>Reschedule</h5><br>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label">Jadwal Pengiriman</label>
                                            <div class="input-group input-calendar">
                                                <p-calendar class="size-calendar" showTime="true" hourFormat="24" [showIcon]="true" [(ngModel)]="shipmentTMP.dateSchedulle"></p-calendar> <span style="margin-left:35px"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label">Jam Pengiriman</label>
                                            <input type="text" class="form-control" id="" name="">
                                        </div>
                                    </div> -->
                                </div>
                                <div class="form-group">
                                    <label class="form-control-label">Catatan</label>
                                    <textarea class="form-control" [(ngModel)]="shipmentTMP.description"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="row pull-right">
                            <div class="col-md-12">
                                <button pButton type="button" (click)="cancelDO(shipmentTMP)" label="Cancel Shipment" class="ui-button-danger flat-label-button">
                                </button>
                                <button pButton type="button" (click)="update(shipmentTMP)" label="Update" class="ui-button-primary flat-label-button">
                                </button>
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="Upload Foto" *ngIf="shipmentTMP.idDriver == null && shipmentTMP.otherName !== null">
                        <div *ngIf="statusPayment == false ">
                            <p-messages [(value)]="messages" [closable]="false"></p-messages>
                        </div>
                        <div *ngIf="vehicleSalesOrder?.customer && statusPayment">
                            <div class="form-group">
                                <jhi-party-document-as-list [idparty]="vehicleSalesOrder.customer.partyId">
                                </jhi-party-document-as-list>
                            </div>
                        </div>
                    </p-tabPanel>
                    <p-tabPanel header="Survey D-CSL" *ngIf="shipmentTMP.idDriver == null && shipmentTMP.otherName !== null ">
                        <div *ngIf="statusPayment == false">
                            <p-messages [(value)]="messages" [closable]="false"></p-messages>
                        </div>
                        <div *ngIf="vehicleSalesOrder?.customer && statusPayment">
                            <div class="form-group">
                                <jhi-communication-event-delivery-as-list [idCostumer]="vehicleSalesOrder.customer.idCustomer">
                                </jhi-communication-event-delivery-as-list>

                            </div>
                        </div>
                        <button type="button" class="btn btn-danger btn-lg btn-block" (click)="showBatalKirimDialog()">Batal Kirim</button>
                        <button type="button" class="btn btn-danger btn-lg btn-block" (click)="checkPayment()">Periksa Status Pembayaran</button>
                        <!-- <button type="button" class="btn btn-secondary btn-lg btn-block" [routerLink]="['../delivery-order-driver-customer-survey']">Customer Survey</button> -->
                        <div *ngIf="statusPayment == true">
                            <button type="button" class="btn btn-secondary btn-lg btn-block" (click)="showStatusPengirimanDialog()">Complete</button>
                        </div>
                    </p-tabPanel>
                </p-tabView>

            </div>
        </div>
    </div>
</div>
<p-dialog header="Batal Kirim" [(visible)]="batalKirimDialog">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label>Catatan :</label>
                <textarea [(ngModel)]="shipmentTMP.reasonCancel" pInputTextarea class="form-control"></textarea>
            </div>
        </div>
        <div class="col-md-12 pull-right">
            <button type="button" (click)="cancelShipment()" class="btn btn-danger btn-lg btn-block">OK</button>
        </div>
    </div>
</p-dialog>

<p-dialog header="Status Pengiriman" [(visible)]="statusPengirimanDialog">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label>Catatan :</label>
                <textarea [(ngModel)]="shipmentTMP.description" pInputTextarea class="form-control"></textarea>
            </div>
        </div>
        <div class="col-md-12 pull-right">
            <button (click)="completeShipment()" type="button" class="btn btn-danger btn-lg btn-block">OK</button>
        </div>
    </div>
</p-dialog>